# Generated from progress_bar-1.3.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name progress_bar

Name: rubygem-%{gem_name}
Version: 1.3.3
Release: 1%{?dist}
Summary: Simple Progress Bar for output to a terminal
License: WTFPL
URL: http://github.com/paul/progress_bar
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4.0
# BuildRequires: rubygem(reek)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(rubocop-rspec)
# BuildRequires: rubygem(timecop)
BuildArch: noarch

%description
Give people feedback about long-running tasks without overloading them with
information: Use a progress bar, like Curl or Wget!


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.reek.yml
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%{gem_instdir}/profile
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/Changelog.mkd
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.mkd
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/progress_bar.gemspec
%{gem_instdir}/spec

%changelog
* Tue Sep 14 2021 mockbuilder - 1.3.3-1
- Initial package
